class Panel::PersonalPatent::Desktop::PluginIntrosController < ApplicationController

  def index 
    @intro = PersonalPatentIntro.where(:user_id => current_user.id.to_s).first
    if @intro.blank?
      @intro = PersonalPatentIntro.new
      render "new", :layout => false
    else
      render "edit", :layout => false
    end
  end

  def create
     @intro = PersonalPatentIntro.new(params[:personal_patent_intro])
     @intro.user_id = current_user.id
      if @intro.save
        render :json => {"success" => true}.to_json
      else
        render :json => {"success" => false}.to_json
      end
  end

  def update
    @intro = PersonalPatentIntro.find(params[:id])
    if @intro.update_attributes(params[:personal_patent_intro])
      render :json => {"success" => true}.to_json
    else
      render :json => {"success" => false}.to_json
    end
  end

end